#### Previous topic

scipy.spatial.convex_hull_plot_2d

#### Next topic

scipy.spatial.tsearch

# scipy.spatial.voronoi_plot_2d

`scipy.spatial.``voronoi_plot_2d`(vor, ax=None, **kw)

  Plot the given Voronoi diagram in 2-D

  Parameters:

  vor : scipy.spatial.Voronoi instance

  > Diagram to plot

  ax : matplotlib.axes.Axes instance, optional

  > Axes to plot on

  show_vertices : bool, optional

  > Add the Voronoi vertices to the plot.

  Returns:

  fig : matplotlib.figure.Figure instance

  > Figure for the plot

  See also

  `Voronoi`

  Notes

  Requires Matplotlib.